Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.io.dataformat
Class DataFormatManager

    java.lang.Object
      org.maltparser.core.io.dataformat.DataFormatManager

    public class DataFormatManager

extends Object

Constructor Summary
`DataFormatManager(URL inputFormatUrl, URL outputFormatUrl)`

Method Summary
`DataFormatSpecification` | `getDataFormatSpec(String name)`
`DataFormatSpecification` | `getInputDataFormatSpec()`
`DataFormatSpecification` | `getOutputDataFormatSpec()`
`DataFormatSpecification` | `loadDataFormat(URL dataFormatUrl)`
`void` | `setInputDataFormatSpec(DataFormatSpecification inputDataFormatSpec)`
`void` | `setOutputDataFormatSpec(DataFormatSpecification outputDataFormatSpec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFormatManager

    public DataFormatManager(URL inputFormatUrl,
                             URL outputFormatUrl)
                      throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### loadDataFormat

    public DataFormatSpecification loadDataFormat(URL dataFormatUrl)
                                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### getInputDataFormatSpec

    public DataFormatSpecification getInputDataFormatSpec()

### getOutputDataFormatSpec

    public DataFormatSpecification getOutputDataFormatSpec()

### setInputDataFormatSpec

    public void setInputDataFormatSpec(DataFormatSpecification inputDataFormatSpec)

### setOutputDataFormatSpec

    public void setOutputDataFormatSpec(DataFormatSpecification outputDataFormatSpec)

### getDataFormatSpec

    public DataFormatSpecification getDataFormatSpec(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.